Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Transport_Acceptor.h File Reference

`#include "tao/TAO_Export.h"`
`#include "tao/Basic_Types.h"`

Include dependency graph for Transport_Acceptor.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | IOP
namespace | TAO
## Compounds
class | TAO_Acceptor
| Abstract Acceptor class used for pluggable transports. More...
## Variables
const CORBA::ULong | TAO_ORB_TYPE = 0x54414f00U

## Detailed Description

Id:
  Transport_Acceptor.h,v 1.8 2003/10/28 18:29:21 bala Exp

Interface for the Acceptor component of the TAO pluggable protocol framework.

Author:
  Fred Kuhns <fredk@cs.wustl.edu>

## Variable Documentation

const CORBA::ULong TAO_ORB_TYPE = 0x54414f00U

| This number was assigned by the OMG. Do *NOT* change. The ASCII representation is "TA\x00". If necessary, we can request more ORB types later.